Click or drag to resize
OperatingSystemInfoRequireAtLeast Method (OSVersionName, Int32)
Determines whether the assembly is executing on the specified operating system version with the specified service pack installed or any later version of windows. If not, an exception is thrown.

Namespace: Alphaleonis.Win32.Vss
Assembly: AlphaVSS.Common (in AlphaVSS.Common.dll) Version: 1.3.0.0 (1.3.0.0)
Syntax
public static void RequireAtLeast(
	OSVersionName osVersion,
	int servicePackVersion
)

Parameters

osVersion
Type: Alphaleonis.Win32.VssOSVersionName
The minimum operating system version required.
servicePackVersion
Type: SystemInt32
The minimum service pack version required.
Exceptions
ExceptionCondition
UnsupportedOperatingSystemExceptionThe current operating system is of a version earlier than the specified osVersion or the versions match but the operating system does not have at least the specified service pack version servicePackVersion installed.
See Also